// Supplier.cpp,v 1.3 2002/11/12 01:17:57 pradeep Exp

#include "Supplier.h"

#if ! defined (__ACE_INLINE__)
#include "Supplier.inl"
#endif /* __ACE_INLINE__ */

ACE_RCSID(RT_Notify, TAO_NS_Supplier, "Supplier.cpp,v 1.3 2002/11/12 01:17:57 pradeep Exp")

#include "ProxyConsumer.h"
#include "Proxy.h"
#include "Admin.h"
#include "EventChannel.h"
#include "EventChannelFactory.h"
#include "Notify_Service.h"

TAO_NS_Supplier::TAO_NS_Supplier (TAO_NS_ProxyConsumer* proxy)
  :proxy_ (proxy)
{
}

TAO_NS_Supplier::~TAO_NS_Supplier ()
{
}

TAO_NS_Proxy*
TAO_NS_Supplier::proxy (void)
{
  return this->proxy_consumer ();
}

void
TAO_NS_Supplier::dispatch_updates_i (const CosNotification::EventTypeSeq& added, const CosNotification::EventTypeSeq& removed
                                     ACE_ENV_ARG_DECL)
{
  if (!CORBA::is_nil (this->subscribe_.in ()))
    this->subscribe_->subscription_change (added, removed ACE_ENV_ARG_PARAMETER);
}
